# PSF-LoginServer - master - net.psforever.objects.equipment.EquipmentSize
PSF - LoginServer - master - net.psforever.objects.equipment.EquipmentSize
Keywords: PSF LoginServer master net.psforever.objects.equipment.EquipmentSize

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package equipment
  Definition Classes
    objects
- Ammo
- CItem
- ChargeFireModeDefinition
- EffectTarget
- Equipment
- EquipmentSize
- EquipmentSlot
- FireModeDefinition
- FireModeSwitch
- InfiniteFireModeDefinition
- JammableBehavior
- JammableMountedWeapons
- JammableUnit
- JammingUnit
- Kits
- PelletFireModeDefinition
- RemoteUnit
- SItem
- TargetValidation

o

net.psforever.objects.equipment

# EquipmentSize

###

#### object EquipmentSize extends Enumeration

An `Enumeration` of common equipment sizes in the game. Check the comments for originating use.

Source
  EquipmentSize.scala

Linear Supertypes
Enumeration, Serializable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. EquipmentSize
2. Enumeration
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  class Val extends Value with Serializable
   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
2.  abstract class Value extends Ordered[Value] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
3.  class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetOps[Value, SortedSet, ValueSet] with StrictOptimizedIterableOps[Value, Set, ValueSet] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val BFRArmWeapon: Value
5.  val BFRGunnerWeapon: Value
6.  val BaseTurretWeapon: Value
7.  val Blocked: Value
8.  val Inventory: Value
9.  val Max: Value
10.  val Melee: Value
11.  val Pistol: Value
12.  val Rifle: Value
13.  final def Value(i: Int, name: String): Value
    Attributes
      protected
    Definition Classes
      Enumeration
14.  final def Value(name: String): Value
    Attributes
      protected
    Definition Classes
      Enumeration
15.  final def Value(i: Int): Value
    Attributes
      protected
    Definition Classes
      Enumeration
16.  final def Value: Value
    Attributes
      protected
    Definition Classes
      Enumeration
17.  val VehicleWeapon: Value
18.  final def apply(x: Int): Value
    Definition Classes
      Enumeration
19.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
20.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
21.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
23.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
24.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
25.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
26.  def isEqual(type1: Value, type2: Value): Boolean

    Perform custom size comparison.
    In almost all cases, the only time two sizes are equal is if they are the same size.

    Perform custom size comparison.
    In almost all cases, the only time two sizes are equal is if they are the same size. If either size is `Blocked`, however, they will never be equal. If either size is `Inventory` or `Any`, however, they will always be equal. Size comparison is important for putting `Equipment` in size-fitted slots, but not for much else.

    type1

      the first size

    type2

      the second size

    returns

      `true`, if they are equal; `false`, otherwise

27.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
28.  final def maxId: Int
    Definition Classes
      Enumeration
29.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
30.  var nextId: Int
    Attributes
      protected
    Definition Classes
      Enumeration
31.  var nextName: Iterator[String]
    Attributes
      protected
    Definition Classes
      Enumeration
32.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
33.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
34.  def readResolve(): AnyRef
    Attributes
      protected
    Definition Classes
      Enumeration
35.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
36.  def toString(): String
    Definition Classes
      Enumeration → AnyRef → Any
37.  def values: ValueSet
    Definition Classes
      Enumeration
38.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
39.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
40.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
41.  final def withName(s: String): Value
    Definition Classes
      Enumeration
42.  implicit object ValueOrdering extends Ordering[Value]
    Definition Classes
      Enumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped